API_KEY='live_...'
PROJECT_ID='project_abc123'
DELIVERY_ID='delivery_xyz789'
# Get all delivered tasks from a project
curl --request GET \
--url "https://api.scale.com/v2/delivery/tasks?project_id=$PROJECT_ID&limit=100" \
--header "Authorization: Bearer $API_KEY"
# Filter by specific delivery within a project
curl --request GET \
--url "https://api.scale.com/v2/delivery/tasks?project_id=$PROJECT_ID&delivery_id=$DELIVERY_ID&limit=100" \
--header "Authorization: Bearer $API_KEY"
# Filter by time range
curl --request GET \
--url "https://api.scale.com/v2/delivery/tasks?project_id=$PROJECT_ID&completed_after=2024-01-01T00:00:00Z&limit=50" \
--header "Authorization: Bearer $API_KEY"{
"docs": [
{
"task_id": "task_abc123",
"delivery_id": "delivery_xyz789",
"delivered_at": "2024-01-15T10:30:00Z",
"response": {
"threads": [
{
"id": "thread_0",
"turns": [
{
"id": "turn_0",
"messages": [
{
"role": "user",
"content": {
"text": "What is machine learning?"
}
},
{
"role": "assistant",
"content": {
"text": "Machine learning is..."
},
"annotations": [
{
"key": "quality",
"value": 5
}
]
}
]
}
]
}
]
}
}
],
"total": 1,
"next_token": "eyJza2lwIjoxMDB9"
}Deliveries
Get Delivered Task Responses
GET
/
v2
/
delivery
/
tasks
API_KEY='live_...'
PROJECT_ID='project_abc123'
DELIVERY_ID='delivery_xyz789'
# Get all delivered tasks from a project
curl --request GET \
--url "https://api.scale.com/v2/delivery/tasks?project_id=$PROJECT_ID&limit=100" \
--header "Authorization: Bearer $API_KEY"
# Filter by specific delivery within a project
curl --request GET \
--url "https://api.scale.com/v2/delivery/tasks?project_id=$PROJECT_ID&delivery_id=$DELIVERY_ID&limit=100" \
--header "Authorization: Bearer $API_KEY"
# Filter by time range
curl --request GET \
--url "https://api.scale.com/v2/delivery/tasks?project_id=$PROJECT_ID&completed_after=2024-01-01T00:00:00Z&limit=50" \
--header "Authorization: Bearer $API_KEY"{
"docs": [
{
"task_id": "task_abc123",
"delivery_id": "delivery_xyz789",
"delivered_at": "2024-01-15T10:30:00Z",
"response": {
"threads": [
{
"id": "thread_0",
"turns": [
{
"id": "turn_0",
"messages": [
{
"role": "user",
"content": {
"text": "What is machine learning?"
}
},
{
"role": "assistant",
"content": {
"text": "Machine learning is..."
},
"annotations": [
{
"key": "quality",
"value": 5
}
]
}
]
}
]
}
]
}
}
],
"total": 1,
"next_token": "eyJza2lwIjoxMDB9"
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Pagination
Pagination
Remember to handle pagination when downloading large sets of tasks.
limit).
If your request returns more tasks than your specified limit, API response will also contain a next_token until you reach to the last page.You can set the next_token in your next request to continue downloading tasks from the next page.Required query parameters
You must provide one of the following:project_idorproject_name- Get all delivered tasks from a project
Optional filters
delivery_id- Filter to tasks from a specific deliverystatus- Filter by task statuscompleted_after,completed_before- Filter by completion time range
Overview
Returns delivered task responses from a project. For delivered tasks, includes:- Complete response data (threads, turns, messages, annotations, etc.)
- Delivery timestamp and ID
- Task metadata
null for delivery-related fields.
Compared to /v2/delivery: Returns full task response content, not just task metadata.Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Query Parameters
Scale's unique identifier for the delivery. A unique identifier for the delivery.
Example:
"delivery_abc123"
Scale's unique identifier for the project. A unique identifier for the project.
Example:
"project_abc123"
The name of the project.
Example:
"My Scale Project"
The current status of the task, indicating whether it is pending, completed, error, or canceled.
Available options:
pending, completed, canceled, error A timestamp formatted as an ISO 8601 date-time string.
A timestamp formatted as an ISO 8601 date-time string.
Limit the number of entities returned.
Required range:
1 <= x <= 100A token used to retrieve the next page of results if there are more. You can find the next_token in your last request

